com.sun.pdfview.pattern

## Class ShaderType2

- java.lang.Object
- - com.sun.pdfview.pattern.PDFShader
  - - com.sun.pdfview.pattern.ShaderType2

    public class ShaderType2
    extends PDFShader

A shader that performs axial shader based on a function.

### Field Summary

### Fields inherited from class com.sun.pdfview.pattern.PDFShader

`AXIAL_SHADING, COONS_PATCH_MESH_SHADING, FREE_FORM_SHADING, FUNCTION_SHADING, LATTICE_SHADING, RADIAL_SHADING, TENSOR_PRODUCTS_MESH_SHADING`

### Constructor Summary

Constructors
Constructor and Description
`ShaderType2()` Creates a new instance of ShaderType2

### Method Summary

Methods
`java.awt.geom.Point2D` `getAxisEnd()` Get the end of the axis
`java.awt.geom.Point2D` `getAxisStart()` Get the start of the axis
`boolean` `getExtendEnd()` Get whether to extend the end of the axis
`boolean` `getExtendStart()` Get whether to extend the start of the axis
`PDFFunction[]` `getFunctions()` Get the functions associated with this shader
`float` `getMaxT()` Get the domain maximum
`float` `getMinT()` Get the domain minimum
`PDFPaint` `getPaint()` Create a paint that paints this pattern
`void` `parse(PDFObject shaderObj)` Parse the shader-specific data
`protected void` `setAxisEnd(java.awt.geom.Point2D axisEnd)` Set the start of the axis
`protected void` `setAxisStart(java.awt.geom.Point2D axisStart)` Set the start of the axis
`protected void` `setExtendEnd(boolean extendEnd)` Set whether to extend the end of the axis
`protected void` `setExtendStart(boolean extendStart)` Set whether to extend the start of the axis
`protected void` `setFunctions(PDFFunction[] functions)` Set the functions associated with this shader
`protected void` `setMaxT(float maxT)` Set the domain maximum
`protected void` `setMinT(float minT)` Set the domain minimum

### Methods inherited from class com.sun.pdfview.pattern.PDFShader

`getBackground, getBBox, getColorSpace, getShader, getType, setBackground, setBBox, setColorSpace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShaderType2

    public ShaderType2()

Creates a new instance of ShaderType2

### Method Detail

#### parse

    public void parse(PDFObject shaderObj)
               throws java.io.IOException

Parse the shader-specific data

Specified by:
  `parse` in class `PDFShader`
Throws:
  `java.io.IOException`

#### getPaint

    public PDFPaint getPaint()

Create a paint that paints this pattern

Specified by:
  `getPaint` in class `PDFShader`

#### getAxisStart

    public java.awt.geom.Point2D getAxisStart()

Get the start of the axis

#### setAxisStart

    protected void setAxisStart(java.awt.geom.Point2D axisStart)

Set the start of the axis

#### getAxisEnd

    public java.awt.geom.Point2D getAxisEnd()

Get the end of the axis

#### setAxisEnd

    protected void setAxisEnd(java.awt.geom.Point2D axisEnd)

Set the start of the axis

#### getMinT

    public float getMinT()

Get the domain minimum

#### setMinT

    protected void setMinT(float minT)

Set the domain minimum

#### getMaxT

    public float getMaxT()

Get the domain maximum

#### setMaxT

    protected void setMaxT(float maxT)

Set the domain maximum

#### getExtendStart

    public boolean getExtendStart()

Get whether to extend the start of the axis

#### setExtendStart

    protected void setExtendStart(boolean extendStart)

Set whether to extend the start of the axis

#### getExtendEnd

    public boolean getExtendEnd()

Get whether to extend the end of the axis

#### setExtendEnd

    protected void setExtendEnd(boolean extendEnd)

Set whether to extend the end of the axis

#### getFunctions

    public PDFFunction[] getFunctions()

Get the functions associated with this shader

#### setFunctions

    protected void setFunctions(PDFFunction[] functions)

Set the functions associated with this shader